diff -pruN 6.0.0-1/CMakeLists.txt 6.3.0-1/CMakeLists.txt
--- 6.0.0-1/CMakeLists.txt	2024-02-21 11:27:03.000000000 +0000
+++ 6.3.0-1/CMakeLists.txt	2024-05-31 13:28:12.000000000 +0000
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.0.0") # handled by release scripts
-set(KF_DEP_VERSION "6.0.0") # handled by release scripts
+set(KF_VERSION "6.3.0") # handled by release scripts
+set(KF_DEP_VERSION "6.3.0") # handled by release scripts
 project(KService VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -11,7 +11,7 @@ endif()
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.0.0  NO_MODULE)
+find_package(ECM 6.3.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
diff -pruN 6.0.0-1/debian/changelog 6.3.0-1/debian/changelog
--- 6.0.0-1/debian/changelog	2024-04-11 22:10:59.000000000 +0000
+++ 6.3.0-1/debian/changelog	2024-06-09 12:59:11.000000000 +0000
@@ -1,3 +1,12 @@
+kf6-kservice (6.3.0-1) experimental; urgency=medium
+
+  [ Patrick Franz ]
+  * New upstream release (6.3.0).
+  * Bump Standards-Version to 4.7.0 (No changes needed).
+  * Update build-deps and deps with the info from cmake.
+
+ -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:59:11 +0200
+
 kf6-kservice (6.0.0-1) experimental; urgency=medium
 
   [ Patrick Franz ]
diff -pruN 6.0.0-1/debian/control 6.3.0-1/debian/control
--- 6.0.0-1/debian/control	2024-04-11 21:48:04.000000000 +0000
+++ 6.3.0-1/debian/control	2024-06-08 09:36:28.000000000 +0000
@@ -9,14 +9,14 @@ Build-Depends: cmake (>= 3.16~),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.0.0~),
-               libkf6config-dev (>= 6.0.0~),
-               libkf6coreaddons-dev (>= 6.0.0~),
-               libkf6doctools-dev (>= 6.0.0~),
-               libkf6i18n-dev (>= 6.0.0~),
+               extra-cmake-modules (>= 6.3.0~),
+               libkf6config-dev (>= 6.3.0~),
+               libkf6coreaddons-dev (>= 6.3.0~),
+               libkf6doctools-dev (>= 6.3.0~),
+               libkf6i18n-dev (>= 6.3.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kservice
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kservice.git
@@ -45,10 +45,10 @@ Package: libkf6service-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6config-dev (>= 6.0.0~),
-         libkf6coreaddons-dev (>= 6.0.0~),
-         libkf6doctools-dev (>= 6.0.0~),
-         libkf6i18n-dev (>= 6.0.0~),
+Depends: libkf6config-dev (>= 6.3.0~),
+         libkf6coreaddons-dev (>= 6.3.0~),
+         libkf6doctools-dev (>= 6.3.0~),
+         libkf6i18n-dev (>= 6.3.0~),
          libkf6service6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6service-doc (= ${source:Version}),
diff -pruN 6.0.0-1/debian/upstream/signing-key.asc 6.3.0-1/debian/upstream/signing-key.asc
--- 6.0.0-1/debian/upstream/signing-key.asc	2024-04-11 21:00:26.000000000 +0000
+++ 6.3.0-1/debian/upstream/signing-key.asc	2024-06-07 22:16:50.000000000 +0000
@@ -79,3 +79,24 @@ RUqSlBSJqC4WqZmkB73i16MljvT0+4v2upmud4JK
 953PoIbKKuD9uwdPkCrkuL1XQsBDWsHgW9DQ4q0bObr0ZBxJWUzLj/5Ew1iFLz5O
 oS4=
 =yOFv
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+
+mDMEZZxtxBYJKwYBBAHaRw8BAQdAm/8PHszWuXJwUEeEwowgbi7fIeUDP/r9X14f
+Azm23ay0JU5pY29sYXMgRmVsbGEgPG5pY29sYXMuZmVsbGFAa2RlLm9yZz6IkwQT
+FgoAOxYhBJCpaKyoRTfMJ7meryyN9Yem1KrBBQJlnG8zAhsDBQsJCAcCAiICBhUK
+CQgLAgQWAgMBAh4HAheAAAoJECyN9Yem1KrBeP4BAIKpXwECsL4VtZtg2h6uUCZg
+e6oALUd6LYH6+DAM2cGzAP9nRCB06lOnWPiz3PccQDeGPGTl4fJXM63rXIKvxI8n
+C7QkTmljb2xhcyBGZWxsYSA8bmljb2xhcy5mZWxsYUBnbXguZGU+iJMEExYKADsW
+IQSQqWisqEU3zCe5nq8sjfWHptSqwQUCZZxtxAIbAwULCQgHAgIiAgYVCgkICwIE
+FgIDAQIeBwIXgAAKCRAsjfWHptSqwb/cAQDdwi3Ujltdb58uFEN9Wxvv2a/PmJJr
+v76mHWmXqia0UwD/fpQfF7W6Iv6tEoqE2VQjMdboRqumV2m9lDyB3OPwtg+4MwRl
+nG3EFgkrBgEEAdpHDwEBB0ABCziM0Ive6TFO3hWrLxpYFCti3xUL7fLLdJqIJYHc
+O4h4BBgWCgAgFiEEkKlorKhFN8wnuZ6vLI31h6bUqsEFAmWcbcQCGyAACgkQLI31
+h6bUqsFXfQD9G8xNZ6QbfOeP/ARYPH7xUcc2U4/kPjoP8+R/MRnshPMBANDv6T3y
+BxoNXQRYK65x7ghXOSZcQyBLfVuSQshzf/oBuDgEZZxtxBIKKwYBBAGXVQEFAQEH
+QAOAXtH8j+F4XstbXodRsjUSLSQx3doS6cssY8XiZWZ5AwEIB4h4BBgWCgAgFiEE
+kKlorKhFN8wnuZ6vLI31h6bUqsEFAmWcbcQCGwwACgkQLI31h6bUqsFomwD/Zy41
+I8jssyuukIKsRefmsvFeeMKEJgFp0WuZQaZnKEIBANbtyBSxCOkD+5GYm1cjG6nr
+yPRSi/2EuYie6axT6ZIN
+=Noyp
+-----END PGP PUBLIC KEY BLOCK-----
diff -pruN 6.0.0-1/po/eo/kservice6.po 6.3.0-1/po/eo/kservice6.po
--- 6.0.0-1/po/eo/kservice6.po	2024-02-21 11:27:03.000000000 +0000
+++ 6.3.0-1/po/eo/kservice6.po	2024-05-31 13:28:12.000000000 +0000
@@ -4,7 +4,7 @@
 # Wolfram Diestel <wolfram@steloj.de>, 1998.
 # Heiko Evermann <heiko@evermann.de>, 2002, 2003.
 # Matthias Peick <matthias@peick.de>, 2004, 2005.
-# Oliver Kellogg <okellogg@users.sourceforge.net>, 2007, 2023.
+# Oliver Kellogg <olivermkellogg@gmail.com>, 2007, 2023.
 # Cindy McKee <cfmckee@gmail.com>, 2007, 2008.
 # Axel Rousseau <axel@esperanto-jeunes.org>, 2009.
 # Michael Moroni <michael.moroni@mailoo.org>, 2012.
@@ -17,7 +17,7 @@ msgstr ""
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2023-03-01 21:29+0000\n"
 "PO-Revision-Date: 2023-04-14 08:37+0100\n"
-"Last-Translator: Oliver Kellogg <okellogg@users.sourceforge.net>\n"
+"Last-Translator: Oliver Kellogg <olivermkellogg@gmail.com>\n"
 "Language-Team: Esperanto <kde-i18n-eo@kde.org>\n"
 "Language: eo\n"
 "MIME-Version: 1.0\n"
@@ -36,7 +36,7 @@ msgstr ""
 msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr ""
-"matthias@peick.de, okellogg@users.sourceforge.net, cfmckee@gmail.com, "
+"matthias@peick.de, olivermkellogg@gmail.com, cfmckee@gmail.com, "
 "axel@esperanto-jeunes.org, michael.moroni@mailoo.org"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:90
diff -pruN 6.0.0-1/po/is/kservice6.po 6.3.0-1/po/is/kservice6.po
--- 6.0.0-1/po/is/kservice6.po	2024-02-21 11:27:04.000000000 +0000
+++ 6.3.0-1/po/is/kservice6.po	2024-05-31 13:28:12.000000000 +0000
@@ -7,19 +7,20 @@
 # Pjetur G. Hjaltason <pjetur@pjetur.net>, 2003.
 # Arnar Leósson <leosson@frisurf.no>, 2003, 2005.
 # Sveinn í Felli <sveinki@nett.is>, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2016, 2022.
+# SPDX-FileCopyrightText: 2024 Guðmundur Erlingsson <gudmundure@gmail.com>
 msgid ""
 msgstr ""
 "Project-Id-Version: kdelibs4\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2023-03-01 21:29+0000\n"
-"PO-Revision-Date: 2022-06-22 10:00+0000\n"
-"Last-Translator: Sveinn í Felli <sv1@fellsnet.is>\n"
-"Language-Team: Icelandic\n"
+"PO-Revision-Date: 2024-02-19 19:47+0000\n"
+"Last-Translator: Guðmundur Erlingsson <gudmundure@gmail.com>\n"
+"Language-Team: Icelandic <kde-i18n-doc@kde.org>\n"
 "Language: is\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 19.12.3\n"
+"X-Generator: Lokalize 23.08.3\n"
 "Plural-Forms: Plural-Forms: nplurals=2; plural=n != 1;\n"
 "\n"
 "\n"
@@ -33,14 +34,14 @@ msgctxt "NAME OF TRANSLATORS"
 msgid "Your names"
 msgstr ""
 "Richard Allen, Logi Ragnarsson, Pjetur G. Hjaltason, Arnar Leósson, Svanur "
-"Pálsson, Sveinn í Felli"
+"Pálsson, Sveinn í Felli, Guðmundur Erlingsson"
 
 #, kde-format
 msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr ""
 "ra@ra.is, logi@logi.org, pjetur@pjetur.net, leosson@frisurf.no, svanur@tern."
-"is, sv1@fellsnet.is"
+"is, sv1@fellsnet.is, gudmundure@gmail.com"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:90
 #, kde-format
@@ -52,7 +53,7 @@ msgstr "KBuildSycoca"
 #, kde-format
 msgctxt "application description"
 msgid "Rebuilds the system configuration cache."
-msgstr "Endursmíðar stillingabiðminni kerfisins."
+msgstr "Endursmíðar grunnstillingabiðminni kerfisins."
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:94
 #, kde-format
@@ -82,25 +83,25 @@ msgstr "Waldo Bastian"
 #, kde-format
 msgctxt "@info:shell command-line option"
 msgid "Disable incremental update, re-read everything"
-msgstr "Slökkva á hlutuppfærslum og endurlesa allt"
+msgstr "Slökkva á stigskiptri uppfærslu og endurlesa allt"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:103
 #, kde-format
 msgctxt "@info:shell command-line option"
 msgid "Perform menu generation test run only"
-msgstr "Prófa valmyndagerð í tilraunaskyni eingöngu"
+msgstr "Framkvæma valmyndagerð í tilraunaskyni eingöngu"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:105
 #, kde-format
 msgctxt "@info:shell command-line option"
 msgid "Track menu id for debug purposes"
-msgstr "Fylgjast með valmyndanúmeri vegna villuleitar"
+msgstr "Fylgjast með valmyndarauðkenni vegna villuleitar"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:107
 #, kde-format
 msgctxt "@info:shell command-line option"
 msgid "Switch QStandardPaths to test mode, for unit tests only"
-msgstr ""
+msgstr "Setja QStandardPaths í prófunarsnið, eingöngu til einingaprófunar"
 
 #~ msgctxt "@info:shell command-line option"
 #~ msgid ""
diff -pruN 6.0.0-1/po/lv/kservice6.po 6.3.0-1/po/lv/kservice6.po
--- 6.0.0-1/po/lv/kservice6.po	2024-02-21 11:27:04.000000000 +0000
+++ 6.3.0-1/po/lv/kservice6.po	2024-05-31 13:28:12.000000000 +0000
@@ -8,14 +8,15 @@
 # Viesturs Zarins <viesturs.zarins@mii.lu.lv>, 2007, 2008, 2010.
 # Viesturs Zariņš <viesturs.zarins@mii.lu.lv>, 2009.
 # Einars Sprugis <einars8@gmail.com>, 2009.
+# SPDX-FileCopyrightText: 2024 Toms Trasuns <toms.trasuns@posteo.net>
 msgid ""
 msgstr ""
 "Project-Id-Version: kdelibs4\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2023-03-01 21:29+0000\n"
-"PO-Revision-Date: 2011-07-06 12:57+0300\n"
-"Last-Translator: Maris Nartiss <maris.kde@gmail.com>\n"
-"Language-Team: Latvian\n"
+"PO-Revision-Date: 2024-02-26 18:27+0200\n"
+"Last-Translator: Toms Trasuns <toms.trasuns@posteo.net>\n"
+"Language-Team: Latvian <kde-i18n-doc@kde.org>\n"
 "Language: lv\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -23,86 +24,77 @@ msgstr ""
 "Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n != 0 ? 1 : "
 "2);\n"
 "X-Launchpad-Export-Date: 2007-11-22 17:44+0000\n"
-"X-Generator: KBabel 1.11.4\n"
+"X-Generator: Lokalize 23.08.5\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
 msgid "Your names"
-msgstr "Viesturs Zariņš, Māris Nartišs"
+msgstr "Viesturs Zariņš, Māris Nartišs, Toms Trasūns"
 
 #, kde-format
 msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
-msgstr "viesturs.zarins@mi.lu.lv, maris.kde@gmail.com"
+msgstr "viesturs.zarins@mi.lu.lv, maris.kde@gmail.com, toms.trasuns@posteo.net"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:90
-#, fuzzy, kde-format
-#| msgid "KBuildSycoca"
+#, kde-format
 msgctxt "application name"
 msgid "KBuildSycoca"
 msgstr "KBuildSycoca"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:92
-#, fuzzy, kde-format
-#| msgid "Rebuilds the system configuration cache."
+#, kde-format
 msgctxt "application description"
 msgid "Rebuilds the system configuration cache."
 msgstr "Atjauno sistēmas konfigurācijas kešatmiņu."
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:94
-#, fuzzy, kde-format
-#| msgid "(c) 1999-2002 KDE Developers"
+#, kde-format
 msgctxt "@info:credit"
 msgid "Copyright 1999-2014 KDE Developers"
-msgstr "(c) 1999-2002 KDE izstrādātāji"
+msgstr "(c) 1999–2014 KDE izstrādātāji"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:95
-#, fuzzy, kde-format
-#| msgid "David Faure"
+#, kde-format
 msgctxt "@info:credit"
 msgid "David Faure"
 msgstr "David Faure"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:95 kbuildsycoca/kbuildsycoca_main.cpp:96
-#, fuzzy, kde-format
-#| msgid "Author"
+#, kde-format
 msgctxt "@info:credit"
 msgid "Author"
 msgstr "Autors"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:96
-#, fuzzy, kde-format
-#| msgid "Waldo Bastian"
+#, kde-format
 msgctxt "@info:credit"
 msgid "Waldo Bastian"
 msgstr "Waldo Bastian"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:102
-#, fuzzy, kde-format
-#| msgid "Disable incremental update, re-read everything"
+#, kde-format
 msgctxt "@info:shell command-line option"
 msgid "Disable incremental update, re-read everything"
-msgstr "Atslēgt inkrementālo atjaunošanu, nolasīt visu no jauna "
+msgstr "Izslēgt pakāpenisku atjaunošanu, nolasīt visu no jauna"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:103
-#, fuzzy, kde-format
-#| msgid "Perform menu generation test run only"
+#, kde-format
 msgctxt "@info:shell command-line option"
 msgid "Perform menu generation test run only"
 msgstr "Veikt tikai izvēlnes ģenerācijas testu"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:105
-#, fuzzy, kde-format
-#| msgid "Track menu id for debug purposes"
+#, kde-format
 msgctxt "@info:shell command-line option"
 msgid "Track menu id for debug purposes"
-msgstr "Atkļūdošanas nolūkos izsekot izvēlnes id"
+msgstr "Atkļūdošanas nolūkos izsekot izvēlnes ID"
 
 #: kbuildsycoca/kbuildsycoca_main.cpp:107
 #, kde-format
 msgctxt "@info:shell command-line option"
 msgid "Switch QStandardPaths to test mode, for unit tests only"
-msgstr ""
+msgstr "Pārslēgt „QStandardPaths“ uz testa režīmu, tikai vienības testiem"
 
 #, fuzzy
 #~| msgid "Disable checking files (dangerous)"
diff -pruN 6.0.0-1/po/pl/kservice6.po 6.3.0-1/po/pl/kservice6.po
--- 6.0.0-1/po/pl/kservice6.po	2024-02-21 11:27:04.000000000 +0000
+++ 6.3.0-1/po/pl/kservice6.po	2024-05-31 13:28:12.000000000 +0000
@@ -24,91 +24,6 @@ msgstr ""
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-">\n"
-"X-Generator: Lokalize 20.12.1\n"
 "Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
 "|| n%100>=20) ? 1 : 2);\n"
 
diff -pruN 6.0.0-1/po/zh_CN/kservice6.po 6.3.0-1/po/zh_CN/kservice6.po
--- 6.0.0-1/po/zh_CN/kservice6.po	2024-02-21 11:27:04.000000000 +0000
+++ 6.3.0-1/po/zh_CN/kservice6.po	2024-05-31 13:28:12.000000000 +0000
@@ -3,7 +3,7 @@ msgstr ""
 "Project-Id-Version: kdeorg\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2023-03-01 21:29+0000\n"
-"PO-Revision-Date: 2024-02-05 11:37\n"
+"PO-Revision-Date: 2024-04-22 15:58\n"
 "Last-Translator: \n"
 "Language-Team: Chinese Simplified\n"
 "Language: zh_CN\n"
diff -pruN 6.0.0-1/src/services/kapplicationtrader.cpp 6.3.0-1/src/services/kapplicationtrader.cpp
--- 6.0.0-1/src/services/kapplicationtrader.cpp	2024-02-21 11:27:04.000000000 +0000
+++ 6.3.0-1/src/services/kapplicationtrader.cpp	2024-05-31 13:28:12.000000000 +0000
@@ -35,7 +35,9 @@ static KService::List mimeTypeSycocaServ
     KMimeTypeFactory *factory = KSycocaPrivate::self()->mimeTypeFactory();
     const int offset = factory->entryOffset(mime);
     if (!offset) {
-        qCWarning(SERVICES) << "KApplicationTrader: mimeType" << mimeType << "not found";
+        if (!mimeType.startsWith(QLatin1String("x-scheme-handler/"))) { // don't warn for unknown scheme handler mimetypes
+            qCWarning(SERVICES) << "KApplicationTrader: mimeType" << mimeType << "not found";
+        }
         return lst; // empty
     }
     const int serviceOffersOffset = factory->serviceOffersOffset(mime);
